define bi_ndenv::rehash (
    $user = undef,
    $refreshonly = true,
) {
    
    if $user == undef or !is_string($user) { 
        fail("'user' must be defined") 
    }
    
    require ::bi_ndenv
    
    $command = "ndenv rehash"
    debug("command: $command")
    
    bi_bash::exec { "$title - $command":
        command => $command,
        user => $user,
        refreshonly => $refreshonly,
    }
}
